summaryrefslogtreecommitdiffstats
path: root/graphics
diff options
context:
space:
mode:
author Erwin van Zanten2013-12-06 19:04:35 +0100
committer Erik Hanson2013-12-14 17:53:00 +0100
commit7311b5c40ee55ae70890e74bf7ba270575ccb3b2 (patch)
treec684d5748bade11886db0cb1374f1d83f40bba30 /graphics
parentc5d079abb8be81182e31e03efa9f7fbfda895af5 (diff)
downloadslackbuilds-7311b5c40ee55ae70890e74bf7ba270575ccb3b2.tar.gz
graphics/shotwell: Added (Open source photo manager for GNOME)
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'graphics')
-rw-r--r--graphics/shotwell/README3
-rw-r--r--graphics/shotwell/doinst.sh15
-rw-r--r--graphics/shotwell/shotwell.SlackBuild100
-rw-r--r--graphics/shotwell/shotwell.info10
-rw-r--r--graphics/shotwell/slack-desc19
5 files changed, 147 insertions, 0 deletions
diff --git a/graphics/shotwell/README b/graphics/shotwell/README
new file mode 100644
index 0000000000..b31f1d102d
--- /dev/null
+++ b/graphics/shotwell/README
@@ -0,0 +1,3 @@
+Shotwell is a digital photo organizer for GNOME. It allows the user to
+import photos from a digital camera or disk, organize them in various
+ways, and export to share with others.
diff --git a/graphics/shotwell/doinst.sh b/graphics/shotwell/doinst.sh
new file mode 100644
index 0000000000..0254ea06d8
--- /dev/null
+++ b/graphics/shotwell/doinst.sh
@@ -0,0 +1,15 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
+
+if [ -e usr/share/glib-2.0/schemas ]; then
+ if [ -x /usr/bin/glib-compile-schemas ]; then
+ /usr/bin/glib-compile-schemas usr/share/glib-2.0/schemas >/dev/null 2>&1
+ fi
+fi
diff --git a/graphics/shotwell/shotwell.SlackBuild b/graphics/shotwell/shotwell.SlackBuild
new file mode 100644
index 0000000000..30fc4ca798
--- /dev/null
+++ b/graphics/shotwell/shotwell.SlackBuild
@@ -0,0 +1,100 @@
+#!/bin/sh
+
+# Slackware build script for Shotwell
+
+# Written by Erwin van Zanten <e.van.zanten.evz@gmail.com>
+
+# Copyright 2013 Erwin van Zanten
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=shotwell
+VERSION=${VERSION:-0.15.1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar -xJf $CWD/$PRGNAM-$VERSION.tar.xz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --lib=lib${LIBDIRSUFFIX} \
+ --disable-schemas-compile \
+ --disable-desktop-update \
+ --disable-icon-update \
+ --enable-build-for-glade \
+ --install-headers \
+ --release
+
+make
+make install DESTDIR=$PKG
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ AUTHORS COPYING INSTALL MAINTAINERS NEWS README THANKS \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/graphics/shotwell/shotwell.info b/graphics/shotwell/shotwell.info
new file mode 100644
index 0000000000..306e78baca
--- /dev/null
+++ b/graphics/shotwell/shotwell.info
@@ -0,0 +1,10 @@
+PRGNAM="shotwell"
+VERSION="0.15.1"
+HOMEPAGE="http://yorba.org/shotwell/"
+DOWNLOAD="http://ftp.gnome.org/pub/GNOME/sources/shotwell/0.15/shotwell-0.15.1.tar.xz"
+MD5SUM="5af4cfb819249a879a4649a9c7d089e5"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="LibRaw libgee1 libgexiv2 libunique webkitgtk3 rest"
+MAINTAINER="Erwin van Zanten"
+EMAIL="e.van.zanten.evz@gmail.com"
diff --git a/graphics/shotwell/slack-desc b/graphics/shotwell/slack-desc
new file mode 100644
index 0000000000..b498a7bbf0
--- /dev/null
+++ b/graphics/shotwell/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+shotwell: shotwell (Open source photo manager for GNOME)
+shotwell:
+shotwell: Digital photo organizer for Linux.
+shotwell:
+shotwell: Homepage: http://www.yorba.org/shotwell/
+shotwell:
+shotwell:
+shotwell:
+shotwell:
+shotwell:
+shotwell: